org.apache.fop.fo

## Class FONode.GatherContextInfoFunction

- java.lang.Object
- - org.apache.fop.fo.FONode.GatherContextInfoFunction

- All Implemented Interfaces:
    AdvancedMessageFormat.Function
  Enclosing class:
    FONode

      public static class FONode.GatherContextInfoFunction
      extends java.lang.Object
      implements AdvancedMessageFormat.Function

  Function for AdvancedMessageFormat to retrieve context info from an FONode.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatherContextInfoFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(java.util.Map params)` Executes the function.
    `java.lang.Object` | `getName()` Returns the name of the function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GatherContextInfoFunction

          public GatherContextInfoFunction()

  - ### Method Detail

    - #### evaluate

          public java.lang.Object evaluate(java.util.Map params)

      Executes the function.
      Specified by:
        `evaluate` in interface `AdvancedMessageFormat.Function`
      Parameters:
        `params` - the message parameters
      Returns:
        the function result

    - #### getName

          public java.lang.Object getName()

      Returns the name of the function.
      Specified by:
        `getName` in interface `AdvancedMessageFormat.Function`
      Returns:
        the name of the function

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.